<bugID>529062<Summary>[Mac] Bookmarks menu entries don't update correctly due to lazy-attached bindings</Summary><Description>Created attachment 412646
Screenshot of menu after "Bookmarking all Tabs" from the File menu

Seen while running Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2b4pre) Gecko/20091116 Namoroka/3.6b4pre. This bug was identified by Lukas Blakk during an IRC conversation this AM.

STR:
1. Using a clean profile, open several tabs.
2. Bookmarks | Bookmarks All Tabs
3. Give the folder a name
4. Expand the Bookmarks menu

Expected: The name would show in the dropdown list.
Actual: The menu shows [Folder Name]. However in Organize Bookmarks the name shows correctly.

I tested using 10.4 and see this bug there, but not using windows 7.</Description></bugID>